Generation Framework

## org.eclipse.gmf.gmfgraph.provider
Class CanvasItemProvider

    java.lang.Object
      org.eclipse.emf.common.notify.impl.AdapterImpl
          org.eclipse.emf.edit.provider.ItemProviderAdapter
              org.eclipse.gmf.gmfgraph.provider.CanvasItemProvider

All Implemented Interfaces:
  Adapter, Adapter.Internal, CreateChildCommand.Helper, IChangeNotifier, IDisposable, IEditingDomainItemProvider, IItemLabelProvider, IItemPropertySource, IStructuredItemContentProvider, ITreeItemContentProvider, ResourceLocator

public class CanvasItemProvider
extends ItemProviderAdapter
implements IEditingDomainItemProvider, IStructuredItemContentProvider, ITreeItemContentProvider, IItemLabelProvider, IItemPropertySource

This is the item provider adapter for a `Canvas` object.

** Generated **

Nested Class Summary

Nested classes inherited from class org.eclipse.emf.edit.provider.ItemProviderAdapter
`ItemProviderAdapter.ChildrenStore, ItemProviderAdapter.ModifiableSingletonEList, ItemProviderAdapter.ResultAndAffectedObjectsWrappingCommand, ItemProviderAdapter.ResultAndAffectedObjectsWrappingCommandActionDelegate`

Nested classes inherited from class org.eclipse.emf.common.notify.Adapter
`Adapter.Internal`

Field Summary

Fields inherited from class org.eclipse.emf.edit.provider.ItemProviderAdapter
`adapterFactory, changeNotifier, childrenFeatures, childrenReferences, childrenStoreMap, itemPropertyDescriptors, targets, wrappers, wrappingNeeded`

Fields inherited from class org.eclipse.emf.common.notify.impl.AdapterImpl
`target`

Constructor Summary
`CanvasItemProvider(AdapterFactory adapterFactory)` This constructs an instance from a factory and a notifier

Method Summary
`protected void` `addNamePropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Name feature
`protected void` `collectNewChildDescriptors(java.util.Collection newChildDescriptors, java.lang.Object object)`
`protected void` `collectNewChildDescriptorsGen(java.util.Collection newChildDescriptors, java.lang.Object object)` This adds to the collection of `CommandParameter`s describing all of the children that can be created under this object
`protected EStructuralFeature` `getChildFeature(java.lang.Object object, java.lang.Object child)`

`java.util.Collection`

`getChildrenFeatures(java.lang.Object object)`
This specifies how to implement `ItemProviderAdapter.getChildren(java.lang.Object)` and is used to deduce an appropriate feature for an `AddCommand`, `RemoveCommand` or `MoveCommand` in `ItemProviderAdapter.createCommand(java.lang.Object, org.eclipse.emf.edit.domain.EditingDomain, java.lang.Class, org.eclipse.emf.edit.command.CommandParameter)`

`java.lang.String` `getCreateChildText(java.lang.Object owner, java.lang.Object feature, java.lang.Object child, java.util.Collection selection)` This returns the label text for `CreateChildCommand`
`java.lang.Object` `getImage(java.lang.Object object)` This returns Canvas.gif
`java.util.List` `getPropertyDescriptors(java.lang.Object object)` This returns the property descriptors for the adapted class
`ResourceLocator` `getResourceLocator()` Return the resource locator for this item provider's resources
`java.lang.String` `getText(java.lang.Object object)` This returns the label text for the adapted class
`void` `notifyChanged(Notification notification)` This handles model notifications by calling `ItemProviderAdapter.updateChildren(org.eclipse.emf.common.notify.Notification)` to update any cached children and by creating a viewer notification, which it passes to `ItemProviderAdapter.fireNotifyChanged(org.eclipse.emf.common.notify.Notification)`

Methods inherited from class org.eclipse.emf.edit.provider.ItemProviderAdapter

`addListener, adjustWrapperIndex, adjustWrapperIndices, adjustWrapperIndices, createAddCommand, createAddCommand, createChildParameter, createChildrenStore, createCommand, createCopyCommand, createCreateChildCommand, createCreateChildCommand, createCreateCopyCommand, createDragAndDropCommand, createInitializeCopyCommand, createItemPropertyDescriptor, createItemPropertyDescriptor, createMoveCommand, createMoveCommand, createRemoveCommand, createRemoveCommand, createReplaceCommand, createReplaceCommand, createSetCommand, createSetCommand, createWrapper, crop, dispose, disposeWrapper, disposeWrappers, factorAddCommand, factorMoveCommand, factorRemoveCommand, fireNotifyChanged, getAdapterFactory, getBaseURL, getChildReference, getChildren, getChildrenReferences, getChildrenStore, getCreateChildDescription, getCreateChildImage, getCreateChildResult, getCreateChildToolTipText, getEditableValue, getElements, getFeatureText, getFeatureValue, getImage, getNewChildDescriptors, getParent, getPropertyDescriptor, getPropertyValue, getReferenceValue, getResourceLocator, getRootAdapterFactory, getSetFeature, getSetFeatures, getString, getString, getString, getString, getString, getString, getString, getString, getTypeText, getTypeText, getUpdateableText, getWrappedValues, hasChildren, isAdapterForType, isEquivalentValue, isPropertySet, isWrappingNeeded, overlayImage, removeListener, resetPropertyValue, setPropertyValue, setTarget, shouldTranslate, unsetTarget, unwrap, unwrapCommandValues, updateChildren, wrap, wrapCommand`

Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterImpl
`getTarget`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.edit.provider.IEditingDomainItemProvider
`createCommand, getChildren, getNewChildDescriptors, getParent`

Methods inherited from interface org.eclipse.emf.edit.provider.IStructuredItemContentProvider
`getElements`

Methods inherited from interface org.eclipse.emf.edit.provider.ITreeItemContentProvider
`getChildren, getParent, hasChildren`

Methods inherited from interface org.eclipse.emf.edit.provider.IItemPropertySource
`getEditableValue, getPropertyDescriptor`

Constructor Detail

### CanvasItemProvider

    public CanvasItemProvider(AdapterFactory adapterFactory)

  This constructs an instance from a factory and a notifier.

** Generated **

Method Detail

### getPropertyDescriptors

    public java.util.List getPropertyDescriptors(java.lang.Object object)

  This returns the property descriptors for the adapted class.

  Specified by:
    `getPropertyDescriptors` in interface `IItemPropertySource`
  ** Generated **

### addNamePropertyDescriptor

    protected void addNamePropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Name feature.

  ** Generated **

### getChildrenFeatures

    public java.util.Collection getChildrenFeatures(java.lang.Object object)

  This specifies how to implement `ItemProviderAdapter.getChildren(java.lang.Object)` and is used to deduce an appropriate feature for an `AddCommand`, `RemoveCommand` or `MoveCommand` in `ItemProviderAdapter.createCommand(java.lang.Object, org.eclipse.emf.edit.domain.EditingDomain, java.lang.Class, org.eclipse.emf.edit.command.CommandParameter)`.

  ** Generated **

### getChildFeature

    protected EStructuralFeature getChildFeature(java.lang.Object object,
                                                 java.lang.Object child)

  ** Generated **

### getImage

    public java.lang.Object getImage(java.lang.Object object)

  This returns Canvas.gif.

  Specified by:
    `getImage` in interface `IItemLabelProvider`
  ** Generated **

### getText

    public java.lang.String getText(java.lang.Object object)

  This returns the label text for the adapted class.

  Specified by:
    `getText` in interface `IItemLabelProvider`
  ** Generated **

### notifyChanged

    public void notifyChanged(Notification notification)

  This handles model notifications by calling `ItemProviderAdapter.updateChildren(org.eclipse.emf.common.notify.Notification)` to update any cached children and by creating a viewer notification, which it passes to `ItemProviderAdapter.fireNotifyChanged(org.eclipse.emf.common.notify.Notification)`.

  Specified by:
    `notifyChanged` in interface `Adapter`
  ** Generated **

### collectNewChildDescriptorsGen

    protected void collectNewChildDescriptorsGen(java.util.Collection newChildDescriptors,
                                                 java.lang.Object object)

  This adds to the collection of `CommandParameter`s describing all of the children that can be created under this object.

  ** Generated **

### collectNewChildDescriptors

    protected void collectNewChildDescriptors(java.util.Collection newChildDescriptors,
                                              java.lang.Object object)

### getCreateChildText

    public java.lang.String getCreateChildText(java.lang.Object owner,
                                               java.lang.Object feature,
                                               java.lang.Object child,
                                               java.util.Collection selection)

  This returns the label text for `CreateChildCommand`. This method now is useful only for Labels in canvas.nodes feature, and while we remove possibility to create them with overrided collectNewChildDescriptors, the method left here as it brings more problems overriding it than a bit different (although semantically legal) label (_UI_CreateChild_text2 vs _UI_CreateChild_text3).

  Specified by:
    `getCreateChildText` in interface `CreateChildCommand.Helper`
  ** Generated **

### getResourceLocator

    public ResourceLocator getResourceLocator()

  Return the resource locator for this item provider's resources.

  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.